Package ec

# Interface Setup

All Superinterfaces:
  `Serializable`

All Known Subinterfaces:
  `Clique`, `GPNodeSelector`, `Prototype`, `Singleton`

All Known Implementing Classes:
  `ADF`, `ADFArgument`, `ADFContext`, `ADFStack`, `ADM`, `AMALGAMBreeder`, `AMALGAMSpecies`, `AnnealedSelection`, `BarChartStatistics`, `Best1BinDEBreeder`, `BestSelection`, `BitVectorIndividual`, `BitVectorSpecies`, `BoltzmannSelection`, `Breeder`, `BreedingPipeline`, `BreedingSource`, `BucketTournamentSelection`, `BufferedBreedingPipeline`, `ByteVectorIndividual`, `ChartableStatistics`, `CheckingPipeline`, `CMAESBreeder`, `CMAESInitializer`, `CMAESSpecies`, `CompetitiveEvaluator`, `CrossoverPipeline`, `DEBreeder`, `DEEvaluator`, `DoubleTournamentSelection`, `DoubleVectorIndividual`, `DOVSBreeder`, `DOVSEvaluator`, `DOVSFitness`, `DOVSInitializer`, `DOVSSpecies`, `ERC`, `ESSelection`, `Evaluator`, `EvolutionState`, `Exchanger`, `Finisher`, `FirstCopyPipeline`, `FirstSelection`, `Fitness`, `FitProportionateSelection`, `FloatVectorIndividual`, `FloatVectorSpecies`, `ForceBreedingPipeline`, `FullBuilder`, `GEIndividual`, `Gene`, `GeneDuplicationPipeline`, `GenerationSwitchPipeline`, `GeneVectorIndividual`, `GeneVectorSpecies`, `GEProblem`, `GESpecies`, `GPAtomicType`, `GPBreedingPipeline`, `GPData`, `GPFunctionSet`, `GPIndividual`, `GPInitializer`, `GPNode`, `GPNodeBuilder`, `GPNodeConstraints`, `GPProblem`, `GPSetType`, `GPSpecies`, `GPTree`, `GPTreeConstraints`, `GPType`, `GrammarParser`, `GreedyOverselection`, `GrowBuilder`, `HalfBuilder`, `HyperboxSpecies`, `HypervolumeStatistics`, `Individual`, `IndividualPortrayal`, `InitializationPipeline`, `Initializer`, `IntegerVectorIndividual`, `IntegerVectorSpecies`, `InternalCrossoverPipeline`, `InterPopulationExchange`, `IslandExchange`, `KozaBuilder`, `KozaFitness`, `KozaNodeSelector`, `KozaShortStatistics`, `LexicaseSelection`, `LexicographicTournamentSelection`, `ListCrossoverPipeline`, `LongVectorIndividual`, `MasterProblem`, `MetaProblem`, `MuCommaLambdaBreeder`, `MultiBreedingPipeline`, `MultiObjectiveFitness`, `MultiObjectiveStatistics`, `MultipleVectorCrossoverPipeline`, `MultiPopCoevolutionaryEvaluator`, `MultiSelection`, `MuPlusLambdaBreeder`, `MutateAllNodesPipeline`, `MutateDemotePipeline`, `MutateERCPipeline`, `MutateOneNodePipeline`, `MutatePromotePipeline`, `MutateSwapPipeline`, `MutationPipeline`, `NEATBreeder`, `NEATGene`, `NEATIndividual`, `NEATInitializer`, `NEATInnovation`, `NEATNetwork`, `NEATNode`, `NEATSpecies`, `NEATSubspecies`, `Nonterminal`, `NSGA2Breeder`, `NSGA2MultiObjectiveFitness`, `Particle`, `PBILBreeder`, `PBILSpecies`, `PieChartStatistics`, `Population`, `Problem`, `ProportionalTournamentSelection`, `PSOBreeder`, `PTC1`, `PTC2`, `PTCFunctionSet`, `PushBuilder`, `PushInstruction`, `PushProblem`, `Rand1EitherOrDEBreeder`, `RandomBranch`, `RandomRestarts`, `RandomSelection`, `RandTree`, `RatioBucketTournamentSelection`, `RehangPipeline`, `RepeatPipeline`, `ReproductionPipeline`, `Rule`, `RuleConstraints`, `RuleCrossoverPipeline`, `RuleIndividual`, `RuleInitializer`, `RuleMutationPipeline`, `RuleSet`, `RuleSetConstraints`, `RuleSpecies`, `SelectionMethod`, `ShortVectorIndividual`, `SigmaScalingSelection`, `SimpleBreeder`, `SimpleEvaluator`, `SimpleEvolutionState`, `SimpleExchanger`, `SimpleFinisher`, `SimpleFitness`, `SimpleGroupedEvaluator`, `SimpleIndividualPortrayal`, `SimpleInitializer`, `SimpleShortStatistics`, `SimpleStatistics`, `SizeFairCrossoverPipeline`, `Spatial1DSubpopulation`, `SpatialBreeder`, `SpatialMultiPopCoevolutionaryEvaluator`, `SpatialTournamentSelection`, `SPEA2Breeder`, `SPEA2MultiObjectiveFitness`, `Species`, `Statistics`, `StatisticsChartPane`, `SteadyStateBreeder`, `SteadyStateEvaluator`, `SteadyStateEvolutionState`, `StubPipeline`, `Subpopulation`, `SubpopulationPanel`, `SUSSelection`, `TarpeianStatistics`, `Terminal`, `TimeSeriesStatistics`, `TopSelection`, `TournamentSelection`, `Uniform`, `UniquePipeline`, `VectorCrossoverPipeline`, `VectorIndividual`, `VectorMutationPipeline`, `VectorSpecies`, `XYSeriesChartStatistics`

public interface Setup extends Serializable
Setup classes are classes which get set up once from user-supplied parameters prior to being used. Defines a single method, setup(...), which is called at least once for the object, or for some object from which it was cloned. This method allows the object to set itself up by reading from parameter lists and files on-disk. You may assume that this method is called in a non-threaded environment, hence your thread number is 0 (so you can determine which random number generator to use).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setup(EvolutionState state, Parameter base)`
  Sets up the object by reading it from the parameters stored in state, built off of the parameter base base.

- ## Method Details

  - ### setup

    void setup(EvolutionState state, Parameter base)
    Sets up the object by reading it from the parameters stored in state, built off of the parameter base base. If an ancestor implements this method, be sure to call super.setup(state,base); before you do anything else.